#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "charge2seven4xi.py">
#<abstract4xi abstract = "charges to direction seven"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
#<verify4xi verification = "11" target = "sphere4xi.py"/>
#<contextualize4xi context = "verb4xi.py"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'charge2seven4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   
try:
    import _winapi
except:
    pass    
import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from dummyprocess4xi import DummyProcess4Xi

import fire2seven4xi
from fire2seven4xi import fire2seven4xi
from fire10seven4xi import fire10seven4xi
from fire100seven4xi import fire100seven4xi
from fire200seven4xi import fire200seven4xi
from fire300seven4xi import fire300seven4xi
from fire400seven4xi import fire400seven4xi
from fire500seven4xi import fire500seven4xi
from fire600seven4xi import fire600seven4xi
from fire700seven4xi import fire700seven4xi
from fire800seven4xi import fire800seven4xi
from fire900seven4xi import fire900seven4xi
from fire1000seven4xi import fire1000seven4xi
from fire1100seven4xi import fire1100seven4xi
from fire1200seven4xi import fire1200seven4xi
from fire1300seven4xi import fire1300seven4xi
from fire1400seven4xi import fire1400seven4xi
from fire1500seven4xi import fire1500seven4xi
from fire1600seven4xi import fire1600seven4xi
from fire1700seven4xi import fire1700seven4xi
from fire1800seven4xi import fire1800seven4xi
from fire1900seven4xi import fire1900seven4xi
from fire2000seven4xi import fire2000seven4xi
from fire2100seven4xi import fire2100seven4xi
from fire2200seven4xi import fire2200seven4xi
from fire2300seven4xi import fire2300seven4xi
from fire2400seven4xi import fire2400seven4xi
from fire2500seven4xi import fire2500seven4xi
from fire2600seven4xi import fire2600seven4xi
from fire2700seven4xi import fire2700seven4xi
from fire2800seven4xi import fire2800seven4xi
from fire2900seven4xi import fire2900seven4xi
from fire3000seven4xi import fire3000seven4xi
from fire3100seven4xi import fire3100seven4xi
from fire3200seven4xi import fire3200seven4xi
from fire3300seven4xi import fire3300seven4xi


from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = True
      
#"
#"/>
    
             
# -----------------------------------------------------------------------------------------------------
#<function4xi function = "charge2seven4xi" usage = "
#   charges for direction SEVEN
#   commands and control via queue and pipe
#"> 
# -----------------------------------------------------------------------------------------------------
       
def charge2seven4xi(queue2work, channel2consume, channel2publish):
    '''
    charges for direction SEVEN
    '''    
    
    # ---------------------------------------------------------------------------------------------    
    #
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 1/33) OF CHARGE2SEVEN4XI, START TIME: ", time4xi())  
        print('=' *33)
        # 09:45:48 01/24/13 Pacific Standard Time 
    
    # ---------------------------------------------------------------------------------------------    
    # QUEUE
    # ---------------------------------------------------------------------------------------------     

    queue2work4seven = queue2work
    
    if ack2debug is True:
        print('~' *33)
        print("(STEP 2/33) OF CHARGE2SEVEN4XI, QUEUE2WORK4SEVEN: ", queue2work4seven)
        print('~' *33)
        # <queue4xi.Queue4Xi object at 0x000000000482F470> 
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2consume4seven = channel2consume
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 3/33) OF CHARGE2SEVEN4XI, CHANNEL2CONSUME4SEVEN: ", channel2consume4seven)
        print('~' *33)
        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004796940> 
    
    # ---------------------------------------------------------------------------------------------    
    # NAMED PIPE
    # ---------------------------------------------------------------------------------------------     
    channel2publish4seven = channel2publish
    if ack2debug is True:    
        print('~' *33)
        print("(STEP 4/33) OF CHARGE2SEVEN4XI, CHANNEL2PUBLISH4SEVEN: ", channel2publish4seven)
        print('~' *33)
        # <pipeconnection4xi.PipeConnection4Xi object at 0x0000000004796828> 
        
    
    # ---------------------------------------------------------------------------------------------    
    # GETTING FROM QUEUE
    # --------------------------------------------------------------------------------------------- 
        
    try:
        message2qet4seven = queue2work4seven.get()
        if ack2debug is True:
            print("(STEP 5A/33) OF CHARGE2SEVEN4XI - MESSAGE2QET4SEVEN GOT: ", message2qet4seven) 
            # 
        
        if message2qet4seven == "<copy4xi>copy2seven</copy4xi>":
            message2put4seven = "<roger4xi>roger2seven</roger4xi>"
            if ack2debug is True:
                print("(STEP 5B/33) OF CHARGE2SEVEN4XI - SET MESSAGE2PUT4SEVEN TO: ", message2put4seven) 
                # 
        else:
            if ack2debug is True:
                print("(STEP 5c/33) OF CHARGE2SEVEN4XI - *** UNREGONIZED MESSAGE GOT: ", message2qet4seven)           
            message2put4seven = "<negative4xi>negative2seven</negative4xi>"
            if ack2debug is True:
                print("(STEP 5d/33) OF CHARGE2SEVEN4XI - SET MESSAGE2PUT4SEVEN TO: ", message2put4seven)             
    except:
        message2put4seven = "<negative4xi>negative2seven</negative4xi>"
    
    
    # ---------------------------------------------------------------------------------------------    
    # PUTTING TO QUEUE
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(STEP 6A/33) OF CHARGE2SEVEN4XI - TRYING TO PUT MESSAGE2PUT4SEVEN: ", message2put4seven)
        #                              
    try:         
        queue2work4seven.put(message2put4seven) 
        if ack2debug is True:
            print('~' *33)
            print("(STEP 6B/33) OF CHARGE2SEVEN4XI - PUT TO QUEUE2WORK4SEVEN: ", queue2work4seven, ' MESSAGE2PUT4SEVEN: ', message2put4seven)
            print('~' *33)
            # 
        
    except:
        print("(STEP 6c/33) OF CHARGE2SEVEN4XI *** FAILED TO PUT TO QUEUE2WORK4SEVEN: ", queue2work4seven, ' MESSAGE2PUT4SEVEN: ', message2put4seven)
                   
    # ---------------------------------------------------------------------------------------------    
    # RECEIVING FROM PIPE CONSUMER CHANNEL
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 7A/33) OF CHARGE2SEVEN4XI - TRYING TO RECEIVE FROM CHANNEL2CONSUME4SEVEN: ", channel2consume4seven)
        # 
    try:
        message2receive4seven = channel2consume4seven.recv()
        if ack2debug is True:        
            print("(STEP 7B/33) OF CHARGE2SEVEN4XI - RECEIVED MESSAGE2RECEIVE4SEVEN: ", message2receive4seven)
            # 
        
        if message2receive4seven == "<copy4xi>copy2seven</copy4xi>":
            message2send4seven = "<roger4xi>roger2seven</roger4xi>"
            if ack2debug is True:
                print("(STEP 7C/33) OF CHARGE2SEVEN4XI - SET MESSAGE2SEND4SEVEN: ", message2send4seven)
                # 
        else:
            message2send4seven = "<negative4xi>negative2seven</negative4xi>"
            if ack2debug is True:
                print("(STEP 7D/33) OF CHARGE2SEVEN4XI - SET MESSAGE2SEND4SEVEN: ", message2send4seven)        
    except:
        if ack2debug is True:
            print("(STEP 7E/33) OF CHARGE2SEVEN4XI - *** EXCEPTION WITH CHANNEL2CONSUME4SEVEN.RECV: ", channel2consume4seven.recv) 
        message2send4seven = "<negative4xi>negative2seven</negative4xi>"
        if ack2debug is True:
            print("(STEP 7F/33) OF CHARGE2SEVEN4XI - SET MESSAGE2SEND4SEVEN: ", message2send4seven)       
            

    # ---------------------------------------------------------------------------------------------
    # SEND DATA TO THE PIPE'S PUBLISHER CHANNEL 
    # ---------------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(STEP 8A/33) OF CHARGE2SEVEN4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4SEVEN: ", channel2publish4seven)
        # 
    try:         
        channel2publish4seven.send(message2send4seven)
        if ack2debug is True:
            print("(STEP 8B/33) OF CHARGE2SEVEN4XI - SENT MESSAGE2SEND4SEVEN: ", message2send4seven, " CHANNEL2PUBLISHER4SEVEN: ", channel2publish4seven)
            # 
    except:
        print("(STEP 8C/33) OF CHARGE2SEVEN4XI - *** FAILED TO SEND MESSAGE2SEND4SEVEN: ", message2send4seven, " CHANNEL2PUBLISHER4SEVEN: ", channel2publish4seven) 


    # -----------------------------------------------------------------------------------------    
    # USING THE DUMMY PROCESS TO CHARGE - THIS APPROACH TRIES FASTER RETURN TO MAINPROCESS4XI  
    # -----------------------------------------------------------------------------------------      
    if ack2debug is True:
        print("(STEP 9A/33) OF CHARGE2SEVEN4XI - CREATING A DUMMY PROCESS4XI")  
    
    
    # -----------------------------------------------------------------------------------------    
    # CREATE THE DUMMY PROCESS OBJECT 
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2seven = DummyProcess4Xi(target=fire2seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 9B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2SEVEN: ", dummy2seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 9C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # START THE DUMMY PROCESS OBJECT
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 9D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2seven.start() 
            if ack2debug is True:
                print("(STEP 9E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2SEVEN: ", dummy2seven)
            
           
            ack2start = True
        except:
            print("(STEP 9F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 9G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False
                             
        
# ====  
# [10]
# ==== 
   
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy10seven = DummyProcess4Xi(target=fire10seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 10B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY10SEVEN: ", dummy10seven) 
            # 
        
        ack2dummy = True
    except:
        print("(STEP 10C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY10SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 10D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy10seven.start() 
            if ack2debug is True:
                print("(STEP 10E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY10SEVEN: ", dummy10seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 10F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 10G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                             

        
# =====  
# [100]
# ===== 
       
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy100seven = DummyProcess4Xi(target=fire100seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 100B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY100SEVEN: ", dummy100seven)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 100C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY100SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 100D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())
            # 
        ack2start = False
        try:      
            dummy100seven.start() 
            if ack2debug is True:
                print("(STEP 100E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY100SEVEN: ", dummy100seven)
                #  
            
            ack2start = True
        except:
            print("(STEP 100F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 100G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      

        
# =====  
# [200]
# ===== 
         
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy200seven = DummyProcess4Xi(target=fire200seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 200B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY200SEVEN: ", dummy200seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 200C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY200SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 200D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy200seven.start() 
            if ack2debug is True:
                print("(STEP 200E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY200SEVEN: ", dummy200seven)
                #         
            
            ack2start = True
        except:
            print("(STEP 200F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 200G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [300]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy300seven = DummyProcess4Xi(target=fire300seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 300B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY300SEVEN: ", dummy300seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 300C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY300SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 300D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy300seven.start() 
            if ack2debug is True:
                print("(STEP 300E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY300SEVEN: ", dummy300seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 300F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 300G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [400]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy400seven = DummyProcess4Xi(target=fire400seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 400B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY400SEVEN: ", dummy400seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 400C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY400SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 400D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy400seven.start() 
            if ack2debug is True:
                print("(STEP 400E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY400SEVEN: ", dummy400seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 400F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 400G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [500]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy500seven = DummyProcess4Xi(target=fire500seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 500B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY500SEVEN: ", dummy500seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 500C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY500SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 500D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy500seven.start() 
            if ack2debug is True:
                print("(STEP 500E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY500SEVEN: ", dummy500seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 500F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 500G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# =====  
# [600]
# ===== 
                
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy600seven = DummyProcess4Xi(target=fire600seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 600B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY600SEVEN: ", dummy600seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 600C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY600SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 600D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy600seven.start() 
            if ack2debug is True:
                print("(STEP 600E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY600SEVEN: ", dummy600seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 600F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 600G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [700]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy700seven = DummyProcess4Xi(target=fire700seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 700B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY700SEVEN: ", dummy700seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 700C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY700SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 700D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy700seven.start() 
            if ack2debug is True:
                print("(STEP 700E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY700SEVEN: ", dummy700seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 700F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 700G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [800]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy800seven = DummyProcess4Xi(target=fire800seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 800B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY800SEVEN: ", dummy800seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 800C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY800SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 800D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy800seven.start() 
            if ack2debug is True:
                print("(STEP 800E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY800SEVEN: ", dummy800seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 800F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 800G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [900]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy900seven = DummyProcess4Xi(target=fire900seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 900B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY900SEVEN: ", dummy900seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 900C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY900SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 900D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy900seven.start() 
            if ack2debug is True:
                print("(STEP 900E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY900SEVEN: ", dummy900seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 900F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 900G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                              
        
# ======  
# [1000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1000seven = DummyProcess4Xi(target=fire1000seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1000B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1000SEVEN: ", dummy1000seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1000C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1000SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1000D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1000seven.start() 
            if ack2debug is True:
                print("(STEP 1000E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1000SEVEN: ", dummy1000seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1000F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1000G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1100]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1100seven = DummyProcess4Xi(target=fire1100seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1100B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1100SEVEN: ", dummy1100seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1100C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1100SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1100D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1100seven.start() 
            if ack2debug is True:
                print("(STEP 1100E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1100SEVEN: ", dummy1100seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1100F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1100G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1200]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1200seven = DummyProcess4Xi(target=fire1200seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1200B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1200SEVEN: ", dummy1200seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1200C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1200SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1200D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1200seven.start() 
            if ack2debug is True:
                print("(STEP 1200E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1200SEVEN: ", dummy1200seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1200F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1200G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1300]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1300seven = DummyProcess4Xi(target=fire1300seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1300B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1300SEVEN: ", dummy1300seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1300C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1300SEVEN ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1300D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1300seven.start() 
            if ack2debug is True:
                print("(STEP 1300E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1300SEVEN: ", dummy1300seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1300F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1300G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# ======  
# [1400]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1400seven = DummyProcess4Xi(target=fire1400seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1400B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1400SEVEN: ", dummy1400seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1400C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1400SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1400D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1400seven.start() 
            if ack2debug is True:
                print("(STEP 1400E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1400SEVEN: ", dummy1400seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1400F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1400G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1500]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1500seven = DummyProcess4Xi(target=fire1500seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1500B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1500SEVEN: ", dummy1500seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1500C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1500SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1500D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1500seven.start() 
            if ack2debug is True:
                print("(STEP 1500E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1500SEVEN: ", dummy1500seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1500F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1500G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1600]
# ====== 
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1600seven = DummyProcess4Xi(target=fire1600seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1600B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1600SEVEN: ", dummy1600seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1600C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1600SEVEN ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1600D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1600seven.start() 
            if ack2debug is True:
                print("(STEP 1600E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1600SEVEN: ", dummy1600seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1600F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1600G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

        
# ======  
# [1700]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1700seven = DummyProcess4Xi(target=fire1700seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1700B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1700SEVEN: ", dummy1700seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1700C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1700SEVEN ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1700D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1700seven.start() 
            if ack2debug is True:
                print("(STEP 1700E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1700SEVEN: ", dummy1700seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1700F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1700G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             
        
# ======  
# [1800]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1800seven = DummyProcess4Xi(target=fire1800seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1800B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1800SEVEN: ", dummy1800seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1800C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1800SEVEN ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1800D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1800seven.start() 
            if ack2debug is True:
                print("(STEP 1800E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1800SEVEN: ", dummy1800seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1800F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1800G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False   
        
        
# ======  
# [1900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1900seven = DummyProcess4Xi(target=fire1900seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 1900B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1900SEVEN: ", dummy1900seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1900C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1900SEVEN ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1900D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1900seven.start() 
            if ack2debug is True:
                print("(STEP 1900E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY1900SEVEN: ", dummy1900seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 1900F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1900G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             

    
        
# ======  
# [2000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2000seven = DummyProcess4Xi(target=fire2000seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2000B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2000SEVEN: ", dummy2000seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2000C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2000SEVEN ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2000D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2000seven.start() 
            if ack2debug is True:
                print("(STEP 2000E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2000SEVEN: ", dummy2000seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2000F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2000G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2100]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2100seven = DummyProcess4Xi(target=fire2100seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2100B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2100SEVEN: ", dummy2100seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2100C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2100SEVEN ***")
        ack2dummy = False
                 
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2100D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2100seven.start() 
            if ack2debug is True:
                print("(STEP 2100E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2100SEVEN: ", dummy2100seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2100F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2100G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2200]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2200seven = DummyProcess4Xi(target=fire2200seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2200B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2200SEVEN: ", dummy2200seven)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 2200C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2200SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2200D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2200seven.start() 
            if ack2debug is True:
                print("(STEP 2200E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2200SEVEN: ", dummy2200seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2200F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2200G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2300]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2300seven = DummyProcess4Xi(target=fire2300seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2300B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2300SEVEN: ", dummy2300seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2300C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2300SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2300D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2300seven.start() 
            if ack2debug is True:
                print("(STEP 2300E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2300SEVEN: ", dummy2300seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2300F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2300G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2400]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2400seven = DummyProcess4Xi(target=fire2400seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2400B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2400SEVEN: ", dummy2400seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2400C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2400SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2400D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2400seven.start() 
            if ack2debug is True:
                print("(STEP 2400E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2400SEVEN: ", dummy2400seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2400F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2400G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                            
         
# ======  
# [2500]
# ====== 
       
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2500seven = DummyProcess4Xi(target=fire2500seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2500B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2500SEVEN: ", dummy2500seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2500C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2500SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2500D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2500seven.start() 
            if ack2debug is True:
                print("(STEP 2500E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2500SEVEN: ", dummy2500seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2500F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2500G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2600]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2600seven = DummyProcess4Xi(target=fire2600seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2600B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2600SEVEN: ", dummy2600seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2600C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2600SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2600D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2600seven.start() 
            if ack2debug is True:
                print("(STEP 2600E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2600SEVEN: ", dummy2600seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2600F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2600G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2700]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2700seven = DummyProcess4Xi(target=fire2700seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2700B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2700SEVEN: ", dummy2700seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2700C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2700SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2700D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2700seven.start() 
            if ack2debug is True:
                print("(STEP 2700E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2700SEVEN: ", dummy2700seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2700F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2700G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2800]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2800seven = DummyProcess4Xi(target=fire2800seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2800B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2800SEVEN: ", dummy2800seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2800C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2800SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2800D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2800seven.start() 
            if ack2debug is True:
                print("(STEP 2800E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2800SEVEN: ", dummy2800seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2800F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2800G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2900seven = DummyProcess4Xi(target=fire2900seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 2900B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2900SEVEN: ", dummy2900seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2900C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2900SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2900D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2900seven.start() 
            if ack2debug is True:
                print("(STEP 2900E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY2900SEVEN: ", dummy2900seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 2900F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2900G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3000seven = DummyProcess4Xi(target=fire3000seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 3000B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3000SEVEN: ", dummy3000seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3000C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3000SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3000D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3000seven.start() 
            if ack2debug is True:
                print("(STEP 3000E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY3000SEVEN: ", dummy3000seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 3000F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3000G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3100]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3100seven = DummyProcess4Xi(target=fire3100seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 3100B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3100SEVEN: ", dummy3100seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3100C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3100SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3100D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3100seven.start() 
            if ack2debug is True:
                print("(STEP 3100E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY3100SEVEN: ", dummy3100seven)
                # 
            
            ack2start = True
        except:
            print("(STEP 3100F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3100G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3200]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3200seven = DummyProcess4Xi(target=fire3200seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 3200B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3200SEVEN: ", dummy3200seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3200C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3200SEVEN ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3200D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3200seven.start() 
            if ack2debug is True:
                print("(STEP 3200E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY3200SEVEN: ", dummy3200seven)
                #  
            
            ack2start = True
        except:
            print("(STEP 3200F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3200G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3300]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3300seven = DummyProcess4Xi(target=fire3300seven4xi, 
                                     args =(queue2work4seven,
                                            channel2consume4seven, channel2publish4seven))
        if ack2debug is True:
            print("(STEP 3300B/33) OF CHARGE2SEVEN4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300SEVEN: ", dummy3300seven)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3300C/33) OF CHARGE2SEVEN4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3300SEVEN ***") 
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3300D/33) OF CHARGE2SEVEN4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3300seven.start() 
            if ack2debug is True:
                print("(STEP 3300E/33) OF CHARGE2SEVEN4XI - STARTED THE DUMMY PROCESS4XI DUMMY3300SEVEN: ", dummy3300seven)
                # 
                
            ack2start = True
        except:
            print("(STEP 3300F/33) OF CHARGE2SEVEN4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3300G/33) OF CHARGE2SEVEN4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                              
    # ---------------------------------------------------------------------------------------------    
    # RETURN
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 11/33) OF CHARGE2SEVEN4XI - RETURNING TIME: ", time4xi())
        print('=' *33)
        # 09:45:51 01/24/13 Pacific Standard Time  
    
    
        
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of charge2seven4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
